// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface GetHistoricalTradeResponseDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.GetHistoricalTradeResponseDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalTradeDto trades = 1;</code>
   */
  java.util.List<com.accelfin.server.demo.fx.dtos.FxHistoricalTradeDto> 
      getTradesList();
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalTradeDto trades = 1;</code>
   */
  com.accelfin.server.demo.fx.dtos.FxHistoricalTradeDto getTrades(int index);
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalTradeDto trades = 1;</code>
   */
  int getTradesCount();
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalTradeDto trades = 1;</code>
   */
  java.util.List<? extends com.accelfin.server.demo.fx.dtos.FxHistoricalTradeDtoOrBuilder> 
      getTradesOrBuilderList();
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalTradeDto trades = 1;</code>
   */
  com.accelfin.server.demo.fx.dtos.FxHistoricalTradeDtoOrBuilder getTradesOrBuilder(
      int index);
}
